Package org.optaplanner.persistence.xstream.api.score.buildin.hardsoftlong

## Class HardSoftLongScoreXStreamConverter

- java.lang.Object
- - org.optaplanner.persistence.xstream.api.score.AbstractScoreXStreamConverter
  - - org.optaplanner.persistence.xstream.api.score.buildin.hardsoftlong.HardSoftLongScoreXStreamConverter

- All Implemented Interfaces:
    `com.thoughtworks.xstream.converters.Converter`, `com.thoughtworks.xstream.converters.ConverterMatcher`

      public class HardSoftLongScoreXStreamConverter
      extends AbstractScoreXStreamConverter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HardSoftLongScoreXStreamConverter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canConvert​(Class type)` |
    `void` | `marshal​(Object scoreObject, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)` |
    `Object` | `unmarshal​(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)` |

    - ### Methods inherited from class org.optaplanner.persistence.xstream.api.score.AbstractScoreXStreamConverter

      `registerScoreConverters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HardSoftLongScoreXStreamConverter

          public HardSoftLongScoreXStreamConverter()

  - ### Method Detail

    - #### canConvert

          public boolean canConvert​(Class type)

    - #### marshal

          public void marshal​(Object scoreObject,
                              com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                              com.thoughtworks.xstream.converters.MarshallingContext context)

    - #### unmarshal

          public Object unmarshal​(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                                  com.thoughtworks.xstream.converters.UnmarshallingContext context)